Avid Support – MAC OS Mojave (10.14) not supported at this time.

Avid Support – MAC OS Mojave (10.14) not supported at this time

At this moment in time Avid has not qualified  MAC OS Mojave (10.14). The link below will take you to the Avid knowledge base article which will be updated, as and when Avid have further news.

http://avid.force.com/pkb/articles/en_US/Compatibility/macOS-Mojave-10-14

To find out more please call us on 01932 255 666